org.eclipse.microprofile.openapi.apps.petstore.resource

## Class JavaRestResourceUtil

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.resource.JavaRestResourceUtil

    public class JavaRestResourceUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JavaRestResourceUtil()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getBoolean(boolean defaultValue, String booleanString)`
`Date` `getDate(Date defaultValue, String dateString)`
`double` `getDouble(double minVal, double maxVal, double defaultValue, String inputString)`
`int` `getInt(int minVal, int maxVal, int defaultValue, String inputString)`
`long` `getLong(long minVal, long maxVal, long defaultValue, String inputString)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaRestResourceUtil

    public JavaRestResourceUtil()

### Method Detail

#### getInt

    public int getInt(int minVal,
                      int maxVal,
                      int defaultValue,
                      String inputString)

#### getLong

    public long getLong(long minVal,
                        long maxVal,
                        long defaultValue,
                        String inputString)

#### getDouble

    public double getDouble(double minVal,
                            double maxVal,
                            double defaultValue,
                            String inputString)

#### getBoolean

    public boolean getBoolean(boolean defaultValue,
                              String booleanString)

#### getDate

    public Date getDate(Date defaultValue,
                        String dateString)